# -*- coding: utf-8 -*-
from setuphelpers import *
import json

uninstallkey = []

def install():
    run('tar -xf LdapAdmin-x86_64.tar.xz')
    if isdir('/opt/ldapadmin'):
        remove_tree('/opt/ldapadmin')
    mkdirs('/opt/ldapadmin')
    run('chown -R root:root /opt/ldapadmin')
    filecopyto('LdapAdmin','/opt/ldapadmin/LdapAdmin')
    filecopyto('WAPT/icon.png','/opt/ldapadmin/icon.png')

    filecopyto('ldapadmin.desktop','/usr/share/applications/ldapadmin.desktop')
    run('chown root:root /usr/share/applications/ldapadmin.desktop')
    

def uninstall():
    remove_tree('/opt/ldapadmin')
    remove_file('/usr/share/applications/ldapadmin.desktop')


def update_package():
    proxies = {}
    if isfile(makepath(user_local_appdata(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    for p in json.loads(wgets('https://api.github.com/repos/ibv/LDAP-Admin/releases/latest',proxies=proxies))['assets']:
        url_dl = p['browser_download_url']
        break

    version_ldapadmin = url_dl.split('/')[-2].strip('v')

    filename = url_dl.split('/')[-1]

    wget(url_dl,filename,proxies=proxies)

    control.version = version_ldapadmin + '-0'
    control.save_control_to_wapt()

